Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketRecvFailed Struct Reference

Socket recv operation failed. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketRecvFailed:
[legend]
Collaboration diagram for FIX::SocketRecvFailed:
[legend]

List of all members.

## Public Member Functions

| SocketRecvFailed (int size)
| SocketRecvFailed (const std::string &what)

## Detailed Description

Socket recv operation failed.

Definition at line 280 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::SocketRecvFailed::SocketRecvFailed | ( | int | size | ) | `[inline]`

Definition at line 282 of file Exceptions.h.

    00283     : SocketException( size == 0 ? "Connection reset by peer." : size < 0 ? errorToWhat() : "Success." ) {}

FIX::SocketRecvFailed::SocketRecvFailed | ( | const std::string & | what | ) | `[inline]`

Definition at line 284 of file Exceptions.h.

    00285     : SocketException( what ) {}

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h